FactoryBot.define do

  factory :photo_album, class: Dhatu::Category do
    name "Photo Album Name"
    code "PHOTO_ALBUM_CODE"
    one_liner "Photo Album One Liner"
    description "Photo Album Short Description"
    status "published"
    featured false
    end_node true
  end

  factory :published_photo_album, parent: :photo_album do
    status "published"
  end

  factory :unpublished_photo_album, parent: :photo_album do
    status "unpublished"
  end

  factory :removed_photo_album, parent: :photo_album do
    status "removed"
  end

  factory :featured_photo_album, parent: :published_photo_album do
    featured true
  end
end
